Microsimulation API

Public Member Functions | Public Attributes | List of all members
Interpolate Class Reference

`#include <rcpp_table.h>`

Collaboration diagram for Interpolate:
[legend]

## Public Member Functions
| Interpolate ()
| Interpolate (vector< double > inx, vector< double > iny)
double | approx (double xfind)
double | operator() (double xfind)

## Public Attributes
vector< double > | x
vector< double > | y
vector< double > | slope

## Detailed Description

Definition at line 16 of file rcpp_table.h.

## Constructor & Destructor Documentation

## ◆ Interpolate() [1/2]

Interpolate::Interpolate | ( |  | ) |
| inline

Definition at line 19 of file rcpp_table.h.

## ◆ Interpolate() [2/2]

Interpolate::Interpolate | ( | vector< double > | inx,
|  | vector< double > | iny
| ) |  |
| inline

Definition at line 21 of file rcpp_table.h.

## Member Function Documentation

## ◆ approx()

double Interpolate::approx | ( | double | xfind | ) |
| inline

Definition at line 28 of file rcpp_table.h.

## ◆ operator()()

double Interpolate::operator() | ( | double | xfind | ) |
| inline

Definition at line 37 of file rcpp_table.h.

## Member Data Documentation

## ◆ slope

vector<double> Interpolate::slope

Definition at line 18 of file rcpp_table.h.

## ◆ x

vector<double> Interpolate::x

Definition at line 18 of file rcpp_table.h.

## ◆ y

vector<double> Interpolate::y

Definition at line 18 of file rcpp_table.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h